<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/material_grey100"
    android:orientation="vertical"
    android:paddingTop="@dimen/seekbarsize">

    <LinearLayout
        android:id="@+id/linear1"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/textSizeSmall"
        android:paddingRight="@dimen/textSizeSmall">

        <TextView
            android:id="@+id/pos_text"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center|left"
            android:maxLines="1"
            android:singleLine="true"
            android:visibility="gone"
            android:textStyle="bold"
            android:text="Your Position"
            android:textColor="@color/material_black"
            android:textSize="@dimen/textSizeAverage" />

        <TextView
            android:id="@+id/positionOutof"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center|right"
            android:maxLines="1"
            android:singleLine="true"
            android:textColor="@color/material_black"
            android:textSize="@dimen/textSizeSmall" />
    </LinearLayout>


    <androidx.cardview.widget.CardView
        android:id="@+id/list_leaderbord"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/seekbarsize_small"
        android:layout_marginRight="@dimen/seekbarsize_small"
        android:visibility="gone"
        app:cardBackgroundColor="#ffffff"
        app:cardElevation="2dp"
        app:cardMaxElevation="2dp"
        app:cardUseCompatPadding="true">

        <LinearLayout
            android:id="@+id/linear2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:minHeight="120dp"
            android:orientation="horizontal">



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:baselineAligned="false"
                android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="70dp"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:orientation="vertical">

                    <FrameLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <ImageView
                            android:id="@+id/cup"
                            android:layout_width="@dimen/buttonHeight"
                            android:layout_height="@dimen/buttonHeight"
                            android:layout_gravity="center"
                            android:background="@android:color/transparent"
                            android:contentDescription="@string/app_name"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/leader_icon" />

                        <TextView
                            android:id="@+id/position"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginBottom="@dimen/seekbarsize"
                            android:gravity="center"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="10"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeToSmall"
                            android:textStyle="bold" />
                    </FrameLayout>

                    <TextView
                        android:id="@+id/score"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textStyle="bold"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeAverage"
                        />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical"
                    >

                    <TextView
                        android:id="@+id/name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center|left"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeSmall"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/location"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center|left"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeSmall" />
                    <TextView
                        android:id="@+id/dealer_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center|left"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeSmall" />
                    <TextView
                        android:id="@+id/duration"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center|left"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/textSizeSmall" />

                    <TextView
                        android:id="@+id/dateTime"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center|left"
                        android:maxLines="1"
                        android:visibility="gone"
                        android:singleLine="true"
                        android:textColor="@color/material_black"
                        android:textSize="10dp" />

                </LinearLayout>

                <FrameLayout
                    android:layout_width="@dimen/buttonHeightLarge"
                    android:layout_height="@dimen/buttonHeightLarge"
                    android:layout_gravity="center"
                    android:layout_margin="@dimen/seekbarsize_small">

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@drawable/ellipse" />

                    <com.github.siyamed.shapeimageview.CircularImageView
                        android:id="@+id/userImage"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/custom_circle_blue"
                        android:layout_margin="@dimen/seekbarsize_small"
                        app:siBorderColor="@android:color/white"
                        app:siBorderWidth="0dp" />
                </FrameLayout>
            </LinearLayout>

        </LinearLayout>

    </androidx.cardview.widget.CardView>
    <LinearLayout
        android:id="@+id/linear3"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/textSizeSmall"
        android:paddingRight="@dimen/textSizeSmall">

        <TextView
            android:id="@+id/topcount"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center|left"
            android:maxLines="1"
            android:singleLine="true"
            android:textStyle="bold"
            android:textColor="@color/material_black"
            android:textSize="@dimen/textSizeAverage" />

        <TextView
            android:id="@+id/outofcount"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center|right"
            android:maxLines="1"
            android:singleLine="true"
            android:textColor="@color/material_black"
            android:textSize="@dimen/textSizeSmall" />
    </LinearLayout>

    <com.tylersuehr.esr.EmptyStateRecyclerView
        android:id="@+id/leaderList"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</LinearLayout>
